#ifndef __S2_EPSON_TCP_IP_DRIVER_V1_0_H__
#define __S2_EPSON_TCP_IP_DRIVER_V1_0_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_Epson_TCP_IP_Driver_v1_0_CONNECT_DIG_INPUT 0
#define __S2_Epson_TCP_IP_Driver_v1_0_CONNECTED_DIG_INPUT 1
#define __S2_Epson_TCP_IP_Driver_v1_0_DISCONNECT_DIG_INPUT 2
#define __S2_Epson_TCP_IP_Driver_v1_0_TIME_OUT_DIG_INPUT 3


/*
* ANALOG_INPUT
*/

#define __S2_Epson_TCP_IP_Driver_v1_0_FROM_DEVICE$_STRING_INPUT 0
#define __S2_Epson_TCP_IP_Driver_v1_0_FROM_DEVICE$_STRING_MAX_LEN 250
CREATE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __FROM_DEVICE$, __S2_Epson_TCP_IP_Driver_v1_0_FROM_DEVICE$_STRING_MAX_LEN );

#define __S2_Epson_TCP_IP_Driver_v1_0_FROM_MODULE$_BUFFER_INPUT 1
#define __S2_Epson_TCP_IP_Driver_v1_0_FROM_MODULE$_BUFFER_MAX_LEN 500
CREATE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __FROM_MODULE$, __S2_Epson_TCP_IP_Driver_v1_0_FROM_MODULE$_BUFFER_MAX_LEN );


/*
* DIGITAL_OUTPUT
*/
#define __S2_Epson_TCP_IP_Driver_v1_0_CONNECT_OUT_DIG_OUTPUT 0
#define __S2_Epson_TCP_IP_Driver_v1_0_OK_TO_SEND_DIG_OUTPUT 1
#define __S2_Epson_TCP_IP_Driver_v1_0_TIMED_OUT_DIG_OUTPUT 2


/*
* ANALOG_OUTPUT
*/
#define __S2_Epson_TCP_IP_Driver_v1_0_STATUS_ANALOG_OUTPUT 0

#define __S2_Epson_TCP_IP_Driver_v1_0_TO_DEVICE$_STRING_OUTPUT 1


/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/
#define __S2_Epson_TCP_IP_Driver_v1_0_PASSWORD$_STRING_PARAMETER 10
#define __S2_Epson_TCP_IP_Driver_v1_0_PASSWORD$_PARAM_MAX_LEN 16
CREATE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __PASSWORD$, __S2_Epson_TCP_IP_Driver_v1_0_PASSWORD$_PARAM_MAX_LEN );


/*
* INTEGER
*/


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_Epson_TCP_IP_Driver_v1_0_SPASSWORD_STRING_MAX_LEN 16
CREATE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __SPASSWORD, __S2_Epson_TCP_IP_Driver_v1_0_SPASSWORD_STRING_MAX_LEN );
#define __S2_Epson_TCP_IP_Driver_v1_0_STEMP_STRING_MAX_LEN 250
CREATE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __STEMP, __S2_Epson_TCP_IP_Driver_v1_0_STEMP_STRING_MAX_LEN );
#define __S2_Epson_TCP_IP_Driver_v1_0_STEMP1_STRING_MAX_LEN 50
CREATE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __STEMP1, __S2_Epson_TCP_IP_Driver_v1_0_STEMP1_STRING_MAX_LEN );
#define __S2_Epson_TCP_IP_Driver_v1_0_SQUEUE_ARRAY_NUM_ELEMS 30
#define __S2_Epson_TCP_IP_Driver_v1_0_SQUEUE_ARRAY_NUM_CHARS 50
CREATE_STRING_ARRAY( S2_Epson_TCP_IP_Driver_v1_0, __SQUEUE, __S2_Epson_TCP_IP_Driver_v1_0_SQUEUE_ARRAY_NUM_ELEMS, __S2_Epson_TCP_IP_Driver_v1_0_SQUEUE_ARRAY_NUM_CHARS );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_Epson_TCP_IP_Driver_v1_0 )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   unsigned short __IFLAG1;
   unsigned short __IFLAG2;
   unsigned short __INEXTSEND;
   unsigned short __INEXTSTORE;
   unsigned short __ISENDOK;
   unsigned short __A;
   DECLARE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __SPASSWORD );
   DECLARE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __STEMP );
   DECLARE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __STEMP1 );
   DECLARE_STRING_ARRAY( S2_Epson_TCP_IP_Driver_v1_0, __SQUEUE );
   DECLARE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __FROM_DEVICE$ );
   DECLARE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __FROM_MODULE$ );
   DECLARE_STRING_STRUCT( S2_Epson_TCP_IP_Driver_v1_0, __PASSWORD$ );
};

START_NVRAM_VAR_STRUCT( S2_Epson_TCP_IP_Driver_v1_0 )
{
};

DEFINE_WAITEVENT( S2_Epson_TCP_IP_Driver_v1_0, WTIMEOUT );


#endif //__S2_EPSON_TCP_IP_DRIVER_V1_0_H__

